Package it.ernytech.tdlib

## Class TdApi.AnswerPreCheckoutQuery

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AnswerPreCheckoutQuery

Enclosing class:
  TdApi

    public static class TdApi.AnswerPreCheckoutQuery
    extends TdApi.Function

Sets the result of a pre-checkout query; for bots only.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `errorMessage` An error message, empty on success.
`long` `preCheckoutQueryId` Identifier of the pre-checkout query.

### Constructor Summary

Constructors
`AnswerPreCheckoutQuery()` Default constructor.
`AnswerPreCheckoutQuery​(long preCheckoutQueryId, java.lang.String errorMessage)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### preCheckoutQueryId

    public long preCheckoutQueryId

Identifier of the pre-checkout query.

#### errorMessage

    public java.lang.String errorMessage

An error message, empty on success.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AnswerPreCheckoutQuery

    public AnswerPreCheckoutQuery()

Default constructor.

#### AnswerPreCheckoutQuery

    public AnswerPreCheckoutQuery​(long preCheckoutQueryId,
                                  java.lang.String errorMessage)

Constructor for initialization of all fields.

Parameters:
  `preCheckoutQueryId` - Identifier of the pre-checkout query.
  `errorMessage` - An error message, empty on success.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR